jQuery(document).ready(function($) {

    "use strict";

    if($('body').hasClass("rtl")) {
        var rtlValue = true;
    } else {
        var rtlValue = false;
    }

    /**
     * Main Slider script
     */
    $("#cvSlider").lightSlider({
        item: 1,
        auto: true,
        slideMargin:0,
        pager: false,
        loop: true,
        speed: 1350,
        pause: 5200,
        enableTouch: false,
        enableDrag: false,
        rtl: rtlValue,
        onSliderLoad: function() {
            $('#cvSlider').removeClass('cS-hidden');
        }
    });

    /**
     * Portfolio filter
     */
    $('.cv-portfolio-posts-wrapper').imagesLoaded( function() {
        $('.cv-portfolio-posts-wrapper').isotope({ 
            filter: '*',
            itemSelector: '.isotope-item',
            layoutMode: 'fitRows',
            animationOptions: {
                duration: 750,
                easing: 'liniar',
                queue: false,
            }
        }); 

        $('.portfolio-filter a').click(function(e){
            e.preventDefault();
            var selector = $(this).attr('data-filter');
            $('.portfolio-filter li').removeClass('active');
            $(this).parent().addClass('active');            
            $('.cv-portfolio-posts-wrapper').isotope({ 
                filter: selector,
                layoutMode: 'fitRows',
                animationOptions: {
                    duration: 750,
                    easing: 'liniar',
                    queue: false,
                } 
            }); 
          return false; 
        });
    });

    /**
     * Testimonials Slider script
     */
    $("#testimonialSlider").lightSlider({
        item: 3,
        pager: true,
        loop: true,
        controls:false,
        speed: 1350,
        pause: 5200,
        slideMargin:30,
        enableTouch: false,
        enableDrag: true,
        rtl: rtlValue,
        responsive : [
                {
                    breakpoint:840,
                    settings: {
                        item:2,
                        slideMove:1,
                        slideMargin:6,
                      }
                },
                {
                    breakpoint:600,
                    settings: {
                        item:1,
                        slideMove:1,
                      }
                }
            ],
        onSliderLoad: function() {
            $('#testimonialSlider').removeClass('cS-hidden');
        }
    });

    /**
     * Header Search script
     */
    $('.cv-menu-search .cv-search-icon').click(function() {
        $('.cv-menu-search .search-form').toggleClass('search-activate');
    });

    /**
     * About Section script
     */
    $(".about-us-section .cv-container").each( function(){    
        var imageHeight = $(this).height();
        $(this).find(".section-content-wrap").css('height',imageHeight);
    });

    /**
     * Settings about WOW animation
     */
    new WOW().init();
    
    /**
     * Responsive
     */
    $('.menu-toggle').click(function(event) {
        $('#site-navigation').slideToggle('slow');
    });
    
    /**
     * responsive sub menu toggle
     */
    $('#site-navigation .menu-item-has-children').append('<span class="sub-toggle"> <i class="fa fa-angle-right"></i> </span>');
    $('#site-navigation .page_item_has_children').append('<span class="sub-toggle"> <i class="fa fa-angle-right"></i> </span>');
    

    $('#site-navigation .menu-item-has-children .sub-toggle').click(function() {
        $(this).parent('.menu-item-has-children').children('ul.sub-menu').first().slideToggle('1000');
        $(this).children('.fa-angle-right').first().toggleClass('fa-angle-down');
    });

    /**
     * Scroll To Top
     */
    $(window).scroll(function() {
        if ($(this).scrollTop() > 1000) {
            $('#cv-scrollup').fadeIn('slow');
        } else {
            $('#cv-scrollup').fadeOut('slow');
        }
    });
    $('#cv-scrollup').click(function() {
        $("html, body").animate({
            scrollTop: 0
        }, 600);
        return false;
    });

});