<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package CodeVibrant
 * @subpackage Perfect Plus
 * @since 1.0.0
 */

	if ( ! is_page_template( 'templates/home-template.php' ) ) {
    	echo '</div><!-- .cv-container -->';
	}
?>
	</div><!-- #content -->

	<footer id="colophon" class="site-footer">
		<?php 
			$footer_widget_area_option = get_theme_mod( 'footer_widget_area_option', true );
			if ( $footer_widget_area_option == true ) {
				get_sidebar( 'footer' );
			}
		?>
		<div class="site-info cv-sub-footer">
			<div class="cv-container">
				<div class="cv-credit-wrapper">
					<?php $cv_copyright_text = get_theme_mod( 'cv_copyright_text', __( 'Perfect Plus', 'perfect-plus' ) ); ?>
					<span class="cv-copyright-text"><?php echo esc_html( $cv_copyright_text ); ?></span>
					<span class="sep"> | </span>
					<?php printf( esc_html__( '%1$s by %2$s.', 'perfect-plus' ), 'Perfect Plus', '<a target="_blank" href="'. esc_url( 'https://codevibrant.com/' ).'" rel="designer">'. __( 'CodeVibrant', 'perfect-plus' ) .'</a>' ); ?>
				</div><!-- .cv-credit-wrapper -->
                <nav id="site-footer-navigation" class="footer-navigation" role="navigation">
			         <?php wp_nav_menu( array( 'theme_location' => 'perfect_plus_footer_menu', 'fallback_cb' => false, 'menu_id' => 'footer-menu' ) ); ?>
	           </nav><!-- #site-navigation -->
			</div>
		</div><!-- .site-info -->
	</footer><!-- #colophon -->
	<div id="cv-scrollup" class="animated arrow-hide"><a href="javascript:void(0);"><i class="fa fa-chevron-up"></i></a></div>
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
