<?php
/**
 * Perfect Plus Additional Features panel at Theme Customizer
 *
 * @package CodeVibrant
 * @subpackage Perfect Plus
 * @since 1.0.0
 */

add_action( 'customize_register', 'perfect_plus_additional_features_register' );

function perfect_plus_additional_features_register( $wp_customize ) {

    /**
     * Add Additional Features Panel
     *
     * @since 1.0.0
     */
    $wp_customize->add_panel(
	    'perfect_plus_additional_features_panel',
	    array(
	        'priority'       => 30,
	        'capability'     => 'edit_theme_options',
	        'theme_supports' => '',
	        'title'          => __( 'Additional Features', 'perfect-plus' ),
	    )
    );

/*----------------------------------------------------------------------------------------------------------------------------------------*/
	/**
     * Social Media section
     *
     * @since 1.0.0
     */
    $wp_customize->add_section(
        'perfect_plus_social_section',
        array(
        	'priority'       => 5,
        	'panel'          => 'perfect_plus_additional_features_panel',
        	'capability'     => 'edit_theme_options',
        	'theme_supports' => '',
            'title'          => __( 'Social Media Section', 'perfect-plus' )
        )
    );

    /**
     * Repeater field for social media
     *
     * @since 1.0.0
     */
    $wp_customize->add_setting(
        'social_media_icons', 
        array(
            'capability'       => 'edit_theme_options',
            'default'          => json_encode(array(
                    array(
                        'cv_icons_list' => 'fa fa-twitter',
                    	'cv_url_field'  => '',
                    )
                )
            ),
            'sanitize_callback' => 'perfect_plus_sanitize_repeater'
        )
    );
    $wp_customize->add_control( new Perfect_Plus_Repeater_Controler(
        $wp_customize, 
            'social_media_icons', 
            array(
                'label'           => __( 'Social Media', 'perfect-plus' ),
                'section'         => 'perfect_plus_social_section',
                'settings'        => 'social_media_icons',
                'priority'        => 5,
                'perfect_plus_box_label'       => __( 'Social Media Icons','perfect-plus' ),
                'perfect_plus_box_add_control' => __( 'Add Icon','perfect-plus' )
            ),
            array(
                'cv_icons_list' => array(
                    'type'        => 'social_icon',
                    'label'       => __( 'Social Media Logo', 'perfect-plus' ),
                    'description' => __( 'Choose social media icon.', 'perfect-plus' )
                ),
                'cv_url_field' => array(
                    'type'        => 'url',
                    'label'       => __( 'Social Icon Url', 'perfect-plus' ),
                    'description' => __( 'Enter social media url.', 'perfect-plus' )
                )
            )
        ) 
    );

}