<?php
/**
 * The Sidebar containing the footer widget areas.
 *
 * @package CodeVibrant
 * @subpackage Perfect Plus
 * @since 1.0.0
 */


/**
 * The footer widget area is triggered if any of the areas
 * have widgets. So let's check that first.
 *
 * If none of the sidebars have widgets, then let's bail early.
 */
 
if ( !is_active_sidebar( 'perfect_plus_footer_sidebar' ) &&
    !is_active_sidebar( 'perfect_plus_footer_sidebar-2' ) &&
    !is_active_sidebar( 'perfect_plus_footer_sidebar-3' ) &&
    !is_active_sidebar( 'perfect_plus_footer_sidebar-4' ) ) {
       return;
}

$perfect_plus_footer_widget_layout = get_theme_mod( 'perfect_plus_footer_widget_layout', 'column_four' );
?>

<div id="top-footer" class="footer-widgets-wrapper footer_<?php echo esc_attr( $perfect_plus_footer_widget_layout ); ?> clearfix">
    <div class="cv-container">
        <div class="footer-widgets-area clearfix">
            <div class="cv-footer-widget-wrapper cv-column-wrapper clearfix">
                
                <div class="cv-footer-widget wow fadeInLeft" data-wow-duration="0.5s">
                    <?php dynamic_sidebar( 'perfect_plus_footer_sidebar' ); ?>
                </div>

                <?php if ( $perfect_plus_footer_widget_layout != 'column_one' ) { ?>
                    <div class="cv-footer-widget wow fadeInLeft" data-woww-duration="1s">
                        <?php dynamic_sidebar( 'perfect_plus_footer_sidebar-2' ); ?>
                    </div>
                <?php } ?>

                <?php if ( $perfect_plus_footer_widget_layout == 'column_three' || $perfect_plus_footer_widget_layout == 'column_four' ) { ?>
                    <div class="cv-footer-widget wow fadeInLeft" data-wow-duration="1.5s">
                        <?php dynamic_sidebar( 'perfect_plus_footer_sidebar-3' ); ?>
                    </div>
                <?php } ?>

                <?php if ( $perfect_plus_footer_widget_layout == 'column_four' ) { ?>
                    <div class="cv-footer-widget wow fadeInLeft" data-wow-duration="2s">
                        <?php dynamic_sidebar( 'perfect_plus_footer_sidebar-4' ); ?>
                    </div>
                <?php } ?>

            </div><!-- .cv-footer-widget-wrapper -->
        </div><!-- .footer-widgets-area -->
    </div><!-- .cv-container -->
</div><!-- .footer-widgets-wrapper -->