<?php
/**
 * Template part for displaying homepage about us section.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package CodeVibrant
 * @subpackage Perfect Plus
 * @since 1.0.0
 *
 */

$home_about_us_option = get_theme_mod( 'home_about_us_option', true );
if ( $home_about_us_option === false ) {
	return;
}
?>
<section id="cv-home-about-us" class="cv-home-section about-us-section clearfix">
	<div class="cv-container">
		<?php
			$about_us_page = get_theme_mod( 'home_about_us_page' );
			if ( !empty( $about_us_page ) ) {
				$page_query = new WP_Query( array( 'page_id' => $about_us_page ) );
				$page_read_more_text = get_theme_mod( 'home_about_read_more_text', __( 'Read More', 'perfect-plus' ) );
				if ( $page_query->have_posts() ) {
					while ( $page_query->have_posts() ) {
						$page_query->the_post();
		?>
						<div class="cv-about-us-wrapper">
							<div class="img-holder wow fadeInRight"><?php the_post_thumbnail( 'full' ); ?></div>
							<div class="section-content-wrap wow fadeInLeft">
								<div class="section-content">
									<h2 class="cv-section-title"><?php the_title(); ?></h2>
									<div class="about-page-content"><?php the_content(); ?></div>
									<a class="cv-about-btn"href="<?php the_permalink(); ?>"><?php echo esc_html( $page_read_more_text ); ?></a>
								</div>
							</div>
						</div><!-- .cv-about-us-wrapper -->
		<?php
					}
				}
				wp_reset_postdata();
			}
		?>
	</div><!-- .cv-container -->
</section><!-- #cv-home-about-us -->