<?php
/**
 * Template part for displaying homepage call to action section.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package CodeVibrant
 * @subpackage Perfect Plus
 * @since 1.0.0
 *
 */

$home_cta_option = get_theme_mod( 'home_cta_option', true );
if ( $home_cta_option === false ) {
	return;
}
$cta_bg_image = get_theme_mod( 'home_cta_bg_image', '' );
if ( !empty( $cta_bg_image ) ) {
	$bg_class = 'cv-cta-img';
	$bg_style = 'style="background-image:url('. esc_url( $cta_bg_image ) .'); background-position: center; background-attachment: fixed; background-size: cover;"';
} else {
	$bg_class = 'cv-cta-color';
	$bg_style = '';
}
$cta_content  = get_theme_mod( 'home_cta_content', '' );
$cta_btn_text = get_theme_mod( 'home_cta_btn_text', __( 'Explore', 'perfect-plus' ) );
$cta_btn_url  = get_theme_mod( 'home_cta_btn_url', '#' );
?>

<section id="cv-home-cta" class="cv-home-section cta-section <?php echo esc_attr( $bg_class ); ?> clearfix" <?php echo $bg_style; ?>>
	<div class="cta-content-wrapper">
        <div class="cv-container">
            <div class="cta-content"><?php echo wp_kses_post( $cta_content ); ?></div>
            <?php if ( !empty( $cta_btn_text ) ) { ?>
                <div class="cta-btn-wrap wow fadeInUp" data-wow-delay="0.5s">
                    <a href="<?php echo esc_url( $cta_btn_url ); ?>"><?php echo esc_html( $cta_btn_text ); ?></a>
                </div>
            <?php } ?>
        </div>
    </div>
</section><!-- #cv-home-cta -->