<?php
/**
 * Template part for displaying homepage slider section.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package CodeVibrant
 * @subpackage Perfect Plus
 * @since 1.0.0
 *
 */

$home_slider_option = get_theme_mod( 'home_slider_option', true );
if ( $home_slider_option === false ) {
	return;
}
?>

<section id="cv-home-slider" class="cv-home-section slider-section clearfix">
	<?php
		$get_home_slides = get_theme_mod( 'home_slides', '' );
		$get_decode_home_slides = json_decode( $get_home_slides );
		if ( ! empty( $get_decode_home_slides ) ) {
			echo '<ul id="cvSlider" class="cS-hidden">';
			foreach ( $get_decode_home_slides as $single_slide ) {
				$slide_page = $single_slide->cv_select_pages;
				if ( !empty( $slide_page ) ) {
					$slide_text_align = $single_slide->cv_select_field;
					$slide_btn_text = $single_slide->cv_text_field;
					$page_query = new WP_Query( array( 'page_id' => $slide_page ) );
					if ( $page_query->have_posts() ) {
						while ( $page_query->have_posts() ) {
							$page_query->the_post();
		?>
							<li>
								<div class="slider-wrapper">
									<div class="slide-img-holder"><?php the_post_thumbnail( 'full' ); ?></div>
									<div class="slide-content-wrap <?php echo esc_attr( $slide_text_align ); ?>">
										<div class="cv-container">
											<div class="slider-content-block">
												<h2 class="slide-title"><?php the_title(); ?></h2>
												<div class="slide-content"><?php the_content(); ?></div>
												<span class="slide-btn btn-more"><a href="<?php the_permalink(); ?>"><?php echo esc_html( $slide_btn_text ); ?></a></span>
											</div> <!-- slider-content-block -->
										</div>
									</div><!-- .slide-content-wrap -->
								</div> <!-- slider-wrapper -->
							</li>
		<?php
						}
					}
					wp_reset_postdata();
				}
			}
			echo '</ul>';
		}
	?>
</section><!-- #cv-home-slider -->