<?php
/**
 * Template part for displaying homepage sponsor section.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package CodeVibrant
 * @subpackage Perfect Plus
 * @since 1.0.0
 *
 */

$home_sponsor_option = get_theme_mod( 'home_sponsor_option', true );
if ( $home_sponsor_option === false ) {
	return;
}
?>

<section id="cv-home-sponsor" class="cv-home-section sponsor-section clearfix">
	<div class="cv-container">

	<?php
		$section_title = get_theme_mod( 'home_sponsor_title', __( 'Our Sponsors', 'perfect-plus' ) );
		if ( !empty( $section_title ) ) {
			$header_class = 'has-header';
		} else {
			$header_class = 'no-header';
		}
	?>
		<div class="section-header-wrapper <?php echo esc_attr( $header_class ); ?>">
			<?php if ( !empty( $section_title ) ) { ?><h2 class="cv-section-title"><?php echo esc_html( $section_title ); ?></h2><?php } ?>
		</div><!-- .section-header-wrapper -->

	<?php
		$get_sponsor_items = get_theme_mod( 'home_sponsor_items', '' );
        //var_dump($get_sponsor_items);
		$get_decode_sponsor_items = json_decode( $get_sponsor_items );
		if ( ! empty( $get_decode_sponsor_items ) ) {
			echo '<div class="cv-sponsor-items-wrapper cv-column-wrapper">';
				foreach ( $get_decode_sponsor_items as $single_item ) {
					$item_image = $single_item->cv_upload_field;
					if ( !empty( $item_image ) ) {
						$get_image_id = perfect_plus_get_image_id_from_url( $item_image );
						$get_image_src = wp_get_attachment_image_src( $get_image_id, 'medium_large' );
			?>
						<div class="cv-single-item-wrap cv-column-5">
							<img src="<?php echo esc_url( $get_image_src[0] ); ?>" />
						</div><!-- .cv-single-item-wrap -->
			<?php
					}
				}
			echo '</div><!-- .cv-sponsor-items-wrapper -->';
		}
	?>

	</div><!-- .cv-container -->
</section><!-- #cv-home-sponsor -->