<?php
/**
 * Template part for displaying homepage team member section.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package CodeVibrant
 * @subpackage Perfect Plus
 * @since 1.0.0
 *
 */

$home_team_member_option = get_theme_mod( 'home_team_member_option', true );
if ( $home_team_member_option === false ) {
	return;
}
?>

<section id="cv-home-team-member" class="cv-home-section team-member-section clearfix">
	<div class="cv-container">

	<?php
		$section_title = get_theme_mod( 'home_team_member_title', __( 'Our Team Members', 'perfect-plus' ) );
		if ( !empty( $section_title ) ) {
			$header_class = 'has-header';
		} else {
			$header_class = 'no-header';
		}
	?>
		<div class="section-header-wrapper <?php echo esc_attr( $header_class ); ?>">
			<?php if ( !empty( $section_title ) ) { ?><h2 class="cv-section-title"><?php echo esc_html( $section_title ); ?></h2><?php } ?>
		</div><!-- .section-header-wrapper -->

	<?php
		$get_team_member_items = get_theme_mod( 'home_team_member_items', '' );
		$get_decode_team_member_items = json_decode( $get_team_member_items );
		if ( ! empty( $get_decode_team_member_items ) ) {
			echo '<div class="cv-team-member-items-wrapper cv-column-wrapper">';
			$count = 0.3;
				foreach ( $get_decode_team_member_items as $member ) {
					$member_page = $member->cv_select_pages;
					if ( !empty( $member_page ) ) {
						$member_info = $member->cv_text_field;
						$page_query = new WP_Query( array( 'page_id' => $member_page ) );
						if ( $page_query->have_posts() ) {
							while ( $page_query->have_posts() ) {
								$page_query->the_post();
								$wow_delay = $count+0.2;
								$count = $count+0.2;
			?>
								<div class="single-post-wrapper cv-column-3 wow fadeInUp" data-wow-delay="<?php echo esc_attr( $wow_delay ); ?>s">
                                    <?php if ( has_post_thumbnail() ) { ?>
                                        <div class="img-holder">
                                            <?php the_post_thumbnail( 'medium_large' ); ?>
                                            <div class="team-desc-wrapper">
                                                <div class="team-desc"> <span><?php the_excerpt(); ?> </span> </div>
                                            </div><!-- .team-desc -->
                                        </div><!-- .img-holder -->
                                    <?php } ?>
                                    <div class="team-title-wrapper">
                                        <h3 class="member-name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                        <span class="member-info"><?php echo esc_html( $member_info ); ?></span>
                                    </div>
                                </div><!-- .single-post-wrapper -->
			<?php
							}
						}
						wp_reset_postdata();
					}
				}
			echo '</div><!-- .cv-team-member-items-wrapper -->';
		}
	?>

	</div><!-- .cv-container -->
</section><!-- #cv-home-team-member -->