<?php
/**
 * Template part for displaying homepage testimonials section.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package CodeVibrant
 * @subpackage Perfect Plus
 * @since 1.0.0
 *
 */

$home_testimonials_option = get_theme_mod( 'home_testimonials_option', true );
if ( $home_testimonials_option === false ) {
	return;
}
?>

<section id="cv-home-testimonials" class="cv-home-section testimonials-section clearfix">
	<div class="cv-container">

	<?php
		$section_title = get_theme_mod( 'home_testimonials_title', __( 'Client Testimonials', 'perfect-plus' ) );
		if ( !empty( $section_title ) ) {
			$header_class = 'has-header';
		} else {
			$header_class = 'no-header';
		}
	?>
		<div class="section-header-wrapper <?php echo esc_attr( $header_class ); ?>">
			<?php if ( !empty( $section_title ) ) { ?><h2 class="cv-section-title"><?php echo esc_html( $section_title ); ?></h2><?php } ?>
		</div><!-- .section-header-wrapper -->

	<?php
		$get_testimonials_items = get_theme_mod( 'home_testimonials_items', '' );
		$get_decode_testimonials_items = json_decode( $get_testimonials_items );
		if ( ! empty( $get_decode_testimonials_items ) ) {
			echo '<ul id="testimonialSlider" class="cv-testimonials-items-wrapper cS-hidden">';
			$count = 0.3;
				foreach ( $get_decode_testimonials_items as $single_item ) {
					$item_page   = $single_item->cv_select_pages;
					$author_info = $single_item->cv_text_field;
					if ( !empty( $item_page ) ) {
						$page_query = new WP_Query( array( 'page_id' => $item_page ) );
						if ( $page_query->have_posts() ) {
							while ( $page_query->have_posts() ) {
								$page_query->the_post();
								$wow_delay = $count+0.2;
								$count = $count+0.2;
			?>
								<div class="cv-single-item-wrap wow fadeInUp" data-wow-delay="<?php echo esc_attr( $wow_delay ); ?>s">
									<div class="author-img-holder">
										<?php if ( has_post_thumbnail() ) { ?>
											<div class="author-thumb"><?php the_post_thumbnail( 'thumbnail' ); ?></div>
										<?php } ?>
										<h3 class="author-name"><?php the_title(); ?></h3>
										<span class="author-info"><?php echo esc_html( $author_info ); ?></span>
									</div><!-- .author-img-holder -->								
									<div class="item-content-wrap">									
										<div class="item-info"><?php the_content(); ?></div>
									</div><!-- .item-content-wrap -->
								</div><!-- .cv-single-item-wrap -->
			<?php
							}
						}
					}
					wp_reset_postdata();
				}
			echo '</ul><!-- .cv-testimonials-items-wrapper -->';
		}
	?>

	</div><!-- .cv-container -->
</section><!-- #cv-home-testimonials -->